Bug 16542 - Picasa cannot be installed
: Picasa cannot be installed
Status: CLOSED FIXED
: Branch 4.1
(All bugs in Branch 4.1/libgphoto2)
: unspecified
: x86 Linux
: P2 normal
Assigned To:
:
: http://picasa.google.com/
:
:
:
  Show dependency tree
 
Reported: 2008-08-04 11:40 by
Modified: 2008-08-31 22:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-08-04 11:40:42
При попытке установить Picasa:

[root@home Downloads]# rpm -Uvh  picasa-2.7.3736-15.i386.rpm
error: failed dependencies:
        libgphoto2.so.2 is needed by picasa-2.7.3736-15

[root@home Downloads]# rpm -q libgphoto2
libgphoto2-2.4.0-alt2.svn10945

[root@tga bluetooth]# ls -l /usr/lib/libgphoto2*
lrwxrwxrwx 1 root root     19 Jun 26 13:51 /usr/lib/libgphoto2.so.6 ->
libgphoto2.so.6.0.0
-rw-r--r-- 1 root root 105292 May 24 14:40 /usr/lib/libgphoto2.so.6.0.0
lrwxrwxrwx 1 root root     24 Jun 26 13:51 /usr/lib/libgphoto2_port.so.0 ->
libgphoto2_port.so.0.9.1
-rw-r--r-- 1 root root  28752 May 24 14:40 /usr/lib/libgphoto2_port.so.0.9.1

/usr/lib/libgphoto2:
total 22
drwxr-xr-x 2 root root  1872 Jun 26 13:51 2.4.0.4
-rwxr-xr-x 1 root root 16748 May 24 14:40 print-camera-list

/usr/lib/libgphoto2_port:
total 0
drwxr-xr-x 2 root root 152 Jun 26 13:51 0.8.2

Обращался в Google-Labs-Picasa-for-Linux
(http://groups.google.com/group/Google-Labs-Picasa-for-Linux?hl=en) с описанием
проблемы. Получил следующий ответ:

"You should file a bug with your distro and ask them to name their
gphoto shared library correctly. There is no libgphoto version 6.0.0,
the current releases are 2.4.x."
------- Comment #1 From 2008-08-05 04:10:59 -------
А в чем бага-то?
Что не устанавливается пакет _не из репозитория_? Никто не обещал этого.
Штатно собранные пакеты- работают.

Можно собрать библиотеку с нужным сонеймом, но это когда у меня появится
время. Или пробуйте собирать пакеты сами. Предупреждаю- здесь номер с
симлинками и ldconfig не пройдет, надо собирать честную библиотеку и класть
рядом с имеющейся.
------- Comment #2 From 2008-08-05 21:54:42 -------
(In reply to comment #0)
> Обращался в Google-Labs-Picasa-for-Linux (http://groups.google.com/group/Google-Labs-Picasa-for-Linux?hl=en) с
> описанием проблемы. Получил следующий ответ:
> 
> "You should file a bug with your distro and ask them to name their
> gphoto shared library correctly. There is no libgphoto version 6.0.0,
> the current releases are 2.4.x."

Они идиоты.
------- Comment #3 From 2008-08-12 07:48:20 -------
(In reply to comment #1)
  Мои слова:
> Что не устанавливается пакет _не из репозитория_? Никто не обещал этого.
  а также
> здесь номер с симлинками и ldconfig не пройдет, надо собирать честную
> библиотеку и класть рядом с имеющейся.
  беру назад.
Исправленный пакет почти готов, тестируется.
------- Comment #4 From 2008-08-28 20:38:47 -------
Починено в 2.4.2-alt0.M41.1